<?php

require_once '../../incfiles/core.php';
require_once '../../incfiles/func.php';
require_once '../../incfiles/auth.php';
require_once '../../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
	if (!in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))) go(URL);
}
else go(URL);
		
$title = lang('Заявки на вступление в сообщество','Заявки на вступ до спільноти');
require_once '../../incfiles/head.php';

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/adm/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Управление сообществом','Керування спільнотою').'</a>
	</div><div class="title">'.$title.'</div>';

require_once '../handler/new_user.php';

if (!empty($arr_group['new_users']))
{
	$q = explode("||", substr($arr_group['new_users'], 1, -1));
	$count = count($q);
	$cp = ceil($count/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;

	for ($i = 0; $i < $count; $i++)
	{	
		echo '<div class="block">'.user_name($q[$i]).'<ul><p></p><a class="title_a_hover" href="'.URL.'/groups/adm/new_users.php?id='.$id.'&ok='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Принять','Прийняти').'</a> <a class="title_a_hover" id="bg_orange" href="'.URL.'/groups/adm/new_users.php?id='.$id.'&no='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Отклонить','Відхилити').'</a></ul></div>';
	}
	navi($p,$cp,''.URL.'/groups/adm/new_users.php?id='.$id.'&');
}
require_once '../../incfiles/foot.php';

?>